# sample_prune_model.py
# sample script to prune a metabolic model (coded in SBML) using modelpruner

# Peter Schubert, HHU, Institute of Computational Cell Biology, Prof. Martin Lercher
# July, 2022

import os

import modelpruner


def prune_model():

    print('modelpruner version: {:s}'.format(modelpruner.__version__))
    print('working directory :', os.getcwd())

    # file names
    full_sbml = 'sample_data/SBML_models/Deniz_model_fba.xml'
    protected_fname = 'sample_data/data/Deniz_model_fba_nrp2.xlsx'

    # load the original model
    mp = modelpruner.ModelPruner(full_sbml, protected_fname)

    print('---- network reduction -----')
    mp.prune()

    # export pruned model in sbml format
    mp.export_pruned_model()
    print('pruned model converted to SBML:')
    print('finally protected reactions:', mp.protected_rids)
    print(mp.print_status())


if __name__ == '__main__':
    prune_model()
